Subject: Re: on builds/randconfigs (was: [PATCH -next] thermal: depends on NET)

From: [email-masked]
Date: Wed, 12 Jan 2011 17:15:40 -0500

On Wed, 12 Jan 2011 16:58:26 EST, Len Brown said:

> Kconfig select needs to be fixed so that it is not possible to
> select something if that something's dependencies are not met.

Amen to that. Got bit by that in the CONFIG_XT_MATCH_REALM thread, it was
trying to do a select on NET_CLS_ROUTE, which depended on NET_SCHED which was
unset...